Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Enumerations
usermgmt Module Reference

User Management More...

## Classes
struct | Account
| Account information More...
struct | AccountAdded
| This event is emitted after a new account with the provided username was added. More...
struct | AccountChanged
| This event is emitted if the settings of an account as defined in usermgmt::UserInfo have changed. More...
struct | AccountEvent
| Base type of all account event. More...
struct | AccountRemoved
| This event is emitted after the account with the provided username has been removed. More...
struct | AccountRenamed
| This event is emitted after an account has been renamed. More...
struct | AuxInfo
| Auxiliary user information. More...
struct | PasswordChanged
| This event is emitted after the password for an account was changed. More...
struct | Preferences
| User preferences More...
interface | Role
| Role management interface More...
struct | RoleAdded
struct | RoleChanged
struct | RoleEvent
| Base type of all account event. More...
interface | RoleManager
| Role manager interface. More...
struct | RoleRemoved
struct | SnmpV3Settings
| SNMPv3 settings. More...
interface | User
| User interface More...
struct | UserCapabilities
| User Capabilities Describe if certain operations can be performed for user. More...
struct | UserInfo
| User information More...
interface | UserManager
| User manager interface More...

## Enumerations
enum | SnmpV3SecLevel { NO_AUTH_NO_PRIV , AUTH_NO_PRIV , AUTH_PRIV }
| SNMPv3 security level. More...
enum | SnmpV3AuthProto { MD5 , SHA1 , SHA224 , SHA256 , SHA384 , SHA512 }
| SNMPv3 authentication protocol. More...
enum | SnmpV3PrivProto { DES , AES128 , AES192 , AES256 , AES192_3DES , AES256_3DES }
| SNMPv3 privacy protocol. More...
enum | TemperatureEnum { DEG_C , DEG_F }
| Preferred display unit for temperature sensors. More...
enum | LengthEnum { METER , FEET }
| Preferred display unit for length measurements, e.g. More...
enum | PressureEnum { PASCAL , PSI }
| Preferred display unit for (air) pressure sensors. More...

## Detailed Description

User Management

## Enumeration Type Documentation

## ◆ LengthEnum

enum usermgmt::LengthEnum

Preferred display unit for length measurements, e.g.

device altitude

Enumerator
METER | Meters.
FEET | Feet.

Definition at line 68 of file User.idl.

## ◆ PressureEnum

enum usermgmt::PressureEnum

Preferred display unit for (air) pressure sensors.

Enumerator
PASCAL | Pascal.
PSI | pound-force per square inch

Definition at line 74 of file User.idl.

## ◆ SnmpV3AuthProto

enum usermgmt::SnmpV3AuthProto

SNMPv3 authentication protocol.

Enumerator
MD5 | Use HMAC-MD5-96 for authentication.
SHA1 | Use HMAC-SHA1-96 for authentication.
SHA224 | Use HMAC-SHA224-128 for authentication.
SHA256 | Use HMAC-SHA256-160 for authentication.
SHA384 | Use HMAC-SHA384-256 for authentication.
SHA512 | Use HMAC-SHA512-384 for authentication.

Definition at line 21 of file User.idl.

## ◆ SnmpV3PrivProto

enum usermgmt::SnmpV3PrivProto

SNMPv3 privacy protocol.

Enumerator
DES | Use DES encryption.
AES128 | Use AES128 encryption.
AES192 | Use AES192 encryption with Blumenthal key extension algorithm.
AES256 | Use AES256 encryption with Blumenthal key extension algorithm.
AES192_3DES | Use AES192 encryption with 3DES/Reeder key extension algorithm.
AES256_3DES | Use AES256 encryption with 3DES/Reeder key extension algorithm.

Definition at line 31 of file User.idl.

## ◆ SnmpV3SecLevel

enum usermgmt::SnmpV3SecLevel

SNMPv3 security level.

Enumerator
NO_AUTH_NO_PRIV | No authentication and no privacy protocol.
AUTH_NO_PRIV | Use authentication but no privacy protocol.
AUTH_PRIV | Use both, authentication and privacy protocol.

Definition at line 14 of file User.idl.

## ◆ TemperatureEnum

enum usermgmt::TemperatureEnum

Preferred display unit for temperature sensors.

Enumerator
DEG_C | Degrees Celsius.
DEG_F | Degrees Fahrenheit.

Definition at line 62 of file User.idl.